package com.ruoyi.basicData.service;

import com.ruoyi.basicData.domain.TWarehouseArea;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.domain.entity.TWarehouse;

import java.util.List;

/**
 * 库区Service接口
 *
 * @author ruoyi
 * @date 2020-12-11
 */
public interface ITWarehouseAreaService {
    /**
     * 查询库区
     *
     * @param fId 库区ID
     * @return 库区
     */
    public TWarehouseArea selectTWarehouseAreaById(Long fId);

    /**
     * 查询库区列表
     *
     * @param tWarehouseArea 库区
     * @return 库区集合
     */
    public List<TWarehouseArea> selectTWarehouseAreaList(TWarehouseArea tWarehouseArea);

    /**
     * 新增库区
     *
     * @param tWarehouseArea 库区
     * @return 结果
     */
    public int insertTWarehouseArea(TWarehouseArea tWarehouseArea);

    /**
     * 修改库区
     *
     * @param tWarehouseArea 库区
     * @return 结果
     */
    public int updateTWarehouseArea(TWarehouseArea tWarehouseArea);

    /**
     * 批量删除库区
     *
     * @param fIds 需要删除的库区ID
     * @return 结果
     */
    public AjaxResult deleteTWarehouseAreaByIds(Long[] fIds);

    /**
     * 删除库区信息
     *
     * @param fId 库区ID
     * @return 结果
     */
    public int deleteTWarehouseAreaById(Long fId);

    /**
     *  检验是否可添加库区
     * @return
     */
    public String checkUFTWarehouseUnique(TWarehouseArea tWarehouseArea);
}
